/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * librecivil.h
 * Copyright (C) Salman Mohammadi 2012 <mohamadi.salman@gmail.com>
 * 
 * LibreCivil is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * LibreCivil is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _LIBRECIVIL_
#define _LIBRECIVIL_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define LIBRECIVIL_TYPE_APPLICATION             (librecivil_get_type ())
#define LIBRECIVIL_APPLICATION(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), LIBRECIVIL_TYPE_APPLICATION, Librecivil))
#define LIBRECIVIL_APPLICATION_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), LIBRECIVIL_TYPE_APPLICATION, LibrecivilClass))
#define LIBRECIVIL_IS_APPLICATION(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LIBRECIVIL_TYPE_APPLICATION))
#define LIBRECIVIL_IS_APPLICATION_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), LIBRECIVIL_TYPE_APPLICATION))
#define LIBRECIVIL_APPLICATION_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), LIBRECIVIL_TYPE_APPLICATION, LibrecivilClass))

typedef struct _LibrecivilClass LibrecivilClass;
typedef struct _Librecivil Librecivil;

struct _LibrecivilClass
{
	GtkApplicationClass parent_class;
};

struct _Librecivil
{
	GtkApplication parent_instance;
};

GType librecivil_get_type (void) G_GNUC_CONST;
Librecivil *librecivil_new (void);

/* Callbacks */

G_END_DECLS

#endif /* _APPLICATION_H_ */
